CVE-2018-19115 – keepalived through 2.0.8 has a heap-based buffer overflow when parsing HTTP status codes r …

0

Vuln ID: CVE-2018-19115

Published:  2018-11-08  20:29:00Z

Description: keepalived through 2.0.8 has a heap-based buffer overflow when parsing HTTP status codes resulting in DoS or possibly unspecified other impact, because extract_status_code in lib/html.c has no validation of the status code and instead writes an unlimited amount of data to the heap.

Source: NVD.NIST.GOV